Summary:        Programming language designed for the analysis of computer languages
Name:           colm
Version:        0.14.7
Release:        1%{?dist}
License:        MIT and LGPLv2+
URL:            https://www.colm.net/open-source/colm/
Source0:        https://www.colm.net/files/%{name}/%{name}-%{version}.tar.gz
Patch0001:      fc61ecb3a22b89864916ec538eaf04840e7dd6b5.diff
Patch0002:      https://github.com/adrian-thurston/colm/commit/28b6e0a01157049b4cb279b0ef25ea9dcf3b46ed.patch#/%{name}-libfsm-ac_check_lib.diff

BuildRequires:  make gcc gcc-c++
BuildRequires:  autoconf automake libtool
BuildRequires:  asciidoc
# upstream doesn't exist and not possible to find version
Provides:       bundled(aapl)

%description
Colm is a programming language designed for the analysis and transformation of computer 
languages. Colm is influenced primarily by TXL.

%package devel
Summary:        Development libraries and header files for %{name}
Requires:       %{name} = %{version}-%{release}

%description devel
%{summary}.

%prep
%autosetup -p1
# not pollute with docs
sed -i -e "/dist_doc_DATA/d" Makefile.am

%build
autoreconf -fiv
%configure --disable-static
%make_build

%install
%make_install
find %{buildroot}%{_libdir} -type f -name '*.la' -print -delete
install -p -m 0644 -D %{name}.vim %{buildroot}%{_datadir}/vim/vimfiles/syntax/%{name}.vim

%files
%license COPYING
%doc README
%{_bindir}/%{name}*
%{_libdir}/lib%{name}-%{version}.so
%dir %{_datadir}/vim
%dir %{_datadir}/vim/vimfiles
%dir %{_datadir}/vim/vimfiles/syntax
%{_datadir}/vim/vimfiles/syntax/%{name}.vim
%{_datadir}/doc/%{name}/*
%{_datadir}/*.lm
%{_datadir}/runtests

%files devel
%{_libdir}/lib%{name}.so
%{_libdir}/libfsm*
%{_includedir}/%{name}/
%{_includedir}/libfsm*
%{_includedir}/aapl*


%changelog
* Thu Oct 26 2023 Wang Guodong <gordonwwang@tencent.com> - 0.14.7-1
- initial build
